Combination View Flat View Tree View
Threads [ Previous | Next ]
toggle
lou cat
problems to solve before installing 6.1 GA2 for production...
October 3, 2012 1:49 AM
Answer

lou cat

Rank: Regular Member

Posts: 196

Join Date: January 26, 2012

Recent Posts

Hi guys!

Yes, you read well, I'm thinking about using 6.1 GA2 CE (!!!) for production.
The previous version I was using is the 6.60.6 CE and this would be the only alternative at the moment, I'm afraid.
I'm still testing it and finding good things and bad ones, and I'll open a thread giving my feedback and waiting for yours (unless you want to block me now and convince me to use 6.0.6 CE instead emoticon), but in the meanwhile I really need to understand a couple of things:

1) JAVA VERSION: I read that Java7 is not well supported, so what exactly should I have? in my virtual machine I downgraded to the jdk 6, which gives me jdk1.6.0 and jre1.6.0, is that correct? should I remove any other java version? (very newbie question, I know... bear with me emoticon )

2) I'd really love to be able to use Eclipse and the liferay IDE, but my attempt at using it in my local windows machine with a remote linux server didn't work: it connects to the server but I can't deploy things properly (this is the thread where I explained the problems: http://www.liferay.com/community/forums/-/message_boards/message/16804904).
Please don't let me use "vi" and "ant deploy" for the rest of my life! emoticon

3) I haven't tried this patch yet:
https://www.liferay.com/community/forums/-/message_boards/message/16698661
Do you suggest to apply it?

please please please enlighten me! emoticon
Juan Gonzalez
RE: problems to solve before installing 6.1 GA2 for production...
October 3, 2012 5:46 AM
Answer

Juan Gonzalez

LIFERAY STAFF

Rank: Liferay Legend

Posts: 1967

Join Date: October 28, 2008

Recent Posts

1-There is a bug in Sun JDK with version lower than 1.6.0.13 so be careful with that.

3-This my current Liferay in production and no problem at the moment (two weeks deployed).
lou cat
RE: problems to solve before installing 6.1 GA2 for production...
October 4, 2012 1:13 AM
Answer

lou cat

Rank: Regular Member

Posts: 196

Join Date: January 26, 2012

Recent Posts

Thanks Juan!

So what is the Java version recommended?

has anyone other comments?

emoticon